package com.github.polpetta.mezzotre.telegram.callbackquery.di;

import com.github.polpetta.mezzotre.telegram.callbackquery.Processor;
import com.github.polpetta.mezzotre.telegram.callbackquery.SelectLanguageTutorial;
import com.github.polpetta.mezzotre.telegram.callbackquery.ShowHelp;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;
import java.util.HashMap;
import java.util.Map;
import javax.inject.Named;
import javax.inject.Singleton;

public class CallbackQuery extends AbstractModule {

  @Provides
  @Singleton
  @Named("eventProcessors")
  public Map<String, Processor> getEventProcessor(
      SelectLanguageTutorial selectLanguageTutorial, ShowHelp showHelp) {
    final HashMap<String, Processor> commandMap = new HashMap<>();
    commandMap.put(selectLanguageTutorial.getEventName(), selectLanguageTutorial);
    commandMap.put(showHelp.getEventName(), showHelp);
    return commandMap;
  }
}
